Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.workitem.wsht
Class MinaHTWorkItemHandler

    java.lang.Object
      org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
          org.jbpm.process.workitem.wsht.GenericHTWorkItemHandler
              org.jbpm.process.workitem.wsht.MinaHTWorkItemHandler

All Implemented Interfaces:
  WorkItemHandler

    public class MinaHTWorkItemHandler

extends GenericHTWorkItemHandler

This class provides the default configurations for a Mina WorkItem Handler

Field Summary

Fields inherited from class org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
`action, eventHandlers, session`

Constructor Summary
`MinaHTWorkItemHandler(KnowledgeRuntime session)`
`MinaHTWorkItemHandler(KnowledgeRuntime session, boolean owningSessionOnly)`
`MinaHTWorkItemHandler(KnowledgeRuntime session, OnErrorAction action)`
`MinaHTWorkItemHandler(String connectorName, TaskService client, KnowledgeRuntime session, OnErrorAction action)`
`MinaHTWorkItemHandler(String connectorName, TaskService client, KnowledgeRuntime session, OnErrorAction action, ClassLoader classLoader)`
`MinaHTWorkItemHandler(TaskService client, KnowledgeRuntime session)`
`MinaHTWorkItemHandler(TaskService client, KnowledgeRuntime session, boolean owningSessionOnly)`

Method Summary
`String` | `getConnectorName()`
`void` | `setConnectorName(String connectorName)`

Methods inherited from class org.jbpm.process.workitem.wsht.GenericHTWorkItemHandler
`abortWorkItem, connect, dispose, executeWorkItem, getClassLoader, getClient, getIpAddress, getPort, isConnected, isLocal, isOwningSessionOnly, registerTaskEvents, setClassLoader, setClient, setIpAddress, setLocal, setOwningSessionOnly, setPort`

Methods inherited from class org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
`createTaskBasedOnWorkItemParams, createTaskContentBasedOnWorkItemParams, setAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MinaHTWorkItemHandler

    public MinaHTWorkItemHandler(KnowledgeRuntime session)

### MinaHTWorkItemHandler

    public MinaHTWorkItemHandler(KnowledgeRuntime session,
                                 boolean owningSessionOnly)

### MinaHTWorkItemHandler

    public MinaHTWorkItemHandler(KnowledgeRuntime session,
                                 OnErrorAction action)

### MinaHTWorkItemHandler

    public MinaHTWorkItemHandler(TaskService client,
                                 KnowledgeRuntime session)

### MinaHTWorkItemHandler

    public MinaHTWorkItemHandler(TaskService client,
                                 KnowledgeRuntime session,
                                 boolean owningSessionOnly)

### MinaHTWorkItemHandler

    public MinaHTWorkItemHandler(String connectorName,
                                 TaskService client,
                                 KnowledgeRuntime session,
                                 OnErrorAction action)

### MinaHTWorkItemHandler

    public MinaHTWorkItemHandler(String connectorName,
                                 TaskService client,
                                 KnowledgeRuntime session,
                                 OnErrorAction action,
                                 ClassLoader classLoader)

Method Detail

### getConnectorName

    public String getConnectorName()

### setConnectorName

    public void setConnectorName(String connectorName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.